import java.util.ArrayList;
import java.util.Collections;

/**
 * Class to provide example main method testing
 */
public class ExampleMainMethodTesting {
    
    public static void main(String[] args) {    
        // Instantiate an OrderableFeed
        OrderableFeed feed = new OrderableFeed();
        
        // Create a few users
        User a = new User("user1");
        User b = new User("user2");
       
        // Create one meme 
        BackgroundImage bi = new BackgroundImage();
        bi.setImageFileName("filename.jpg");
        bi.setTitle("Untitled");
        bi.setDescription("Episode 5 Screeshot");
        Meme one = b.createMeme(bi, "The Meme Strikes Back");
       
        // Create a second meme 
        bi = new BackgroundImage();
        bi.setImageFileName("filename2.jpg");
        bi.setTitle("Another Title");
        bi.setDescription("Episode 6 Screenshot");
        Meme two = b.createMeme(bi, "Return of the Meme");
        
        // Share the memes on the feed 
        b.shareMeme(one, feed);
        b.shareMeme(two, feed);
        
        // Sort by Caption 
        feed.sortByCaption();
        
        // After sorting, the memes should be in the following order:
        // two (created by b), then one (created by b)
        // Print to check:
        System.out.println(feed);

        // Check that getNewMeme() works for user a (should be Return of the Meme)
        System.out.println("Check getNewMeme(). Expected Return of the Meme. " + feed.getNewMeme(a));
    }
}
